Page MenuHomePhabricator

Deploy/Undeploy Quicksurvey for reader trust (round 2)
Closed, ResolvedPublic

Description

SurveyDurationStart Date and timeEnd Date
reader-trust-en-v2~72 hours2019/3/18 @ 19:30pm EST2019/3/21 @ 2pm EST
	'enwiki' => [
		"enabled" => true,
		"type" => "external",
		"name" => "reader trust survey en v2",
		"description" => "Reader-trust-2-description",
		"link" => "Reader-trust-2-link",
		"instanceTokenParameterName" => "token",
		"question" => "Reader-trust-2-message",
		"privacyPolicy" => "Reader-trust-2-privacy",
		"coverage" => 0.004,  // 1 out of 250
		"platforms" => [
			"desktop" => [ "stable" ],
			"mobile" => [ "stable" ],
		],
	],

Event Timeline

Capt_Swing updated the task description. (Show Details)Mar 5 2019, 8:25 PM

@bmansurov does a 3/18 deployment schedule sound reasonable to you? I'm working on the interface text and the privacy statement from Legal now, so I think this date gives us plenty of time for those tasks to be completed.

@Capt_Swing yep, 3/18 sounds good.

Change 494551 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Enable reader trust survey v2

https://gerrit.wikimedia.org/r/494551

Change 494552 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Disable reader trust survey v2

https://gerrit.wikimedia.org/r/494552

bmansurov updated the task description. (Show Details)Mar 5 2019, 10:32 PM

@bmansurov I may have made a small mistake. I actually created new Message pages for this survey (see T217571). Considering this patch is already scheduled 'for review', should I just update the existing Message pages (e.g. place the link to the current survey in Reader-demographics-1-link), or would you rather update the code?

@Capt_Swing I'll update the code.

bmansurov updated the task description. (Show Details)Mar 15 2019, 4:08 PM
Capt_Swing moved this task from Staged to In Progress on the Research board.Mar 15 2019, 4:11 PM

@bmansurov just to confirm: everything is set on my end, the survey is ready to go!

bmansurov added a comment.EditedMar 18 2019, 8:49 PM

No deployment took place at 2pm because Gerrit was down. I'll try and deploy later today.

bmansurov updated the task description. (Show Details)Mar 18 2019, 8:50 PM

Change 494551 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable reader trust survey v2

https://gerrit.wikimedia.org/r/494551

The survey has been deployed.

Change 494552 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[operations/mediawiki-config@master] Disable reader trust survey v2

https://gerrit.wikimedia.org/r/494552

Change 494552 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable reader trust survey v2

https://gerrit.wikimedia.org/r/494552

Just turned off the survey.

bmansurov closed this task as Resolved.Mar 29 2019, 5:15 PM
bmansurov moved this task from In Progress to Done (current quarter) on the Research board.